# Interface FloatEntry

All Superinterfaces:
  `AnnotationConstantValueEntry`, `ConstantValueEntry`, `LoadableConstantEntry`, `PoolEntry`

public sealed interface FloatEntry extends AnnotationConstantValueEntry, ConstantValueEntry
Models a `CONSTANT_Float_info` structure, or a `float` constant, in the constant pool of a `class` file.

The use of a `FloatEntry` is modeled by a `float`. Conversions are through `ConstantPoolBuilder.floatEntry(float)` and `floatValue()`. In the conversions, all NaN values of the `float` may or may not be collapsed into a single "canonical" NaN value.

See Java Virtual Machine Specification:
  4.4.4 The `CONSTANT_Integer_info` and `CONSTANT_Float_info` Structures
Since:
  24
See Also:
  - `ConstantPoolBuilder::floatEntry`

## Field Summary

### Fields declared in interface java.lang.classfile.constantpool.PoolEntry

`TAG_CLASS, TAG_DOUBLE, TAG_DYNAMIC, TAG_FIELDREF, TAG_FLOAT, TAG_INTEGER, TAG_INTERFACE_METHODREF, TAG_INVOKE_DYNAMIC, TAG_LONG, TAG_METHOD_HANDLE, TAG_METHOD_TYPE, TAG_METHODREF, TAG_MODULE, TAG_NAME_AND_TYPE, TAG_PACKAGE, TAG_STRING, TAG_UTF8`

## Method Summary

Modifier and Type
Method
Description
`float`
`floatValue()`
Returns the `float` value.

### Methods declared in interface java.lang.classfile.constantpool.AnnotationConstantValueEntry

`constantValue`

### Methods declared in interface java.lang.classfile.constantpool.ConstantValueEntry

`constantValue`

### Methods declared in interface java.lang.classfile.constantpool.LoadableConstantEntry

`typeKind`

### Methods declared in interface java.lang.classfile.constantpool.PoolEntry

`constantPool, index, tag, width`

## Method Details

### floatValue

float floatValue()
Returns the `float` value.

Returns:
  the `float` value
See Also:
  - `ConstantPoolBuilder.floatEntry(float)`